package TodoListApp.Domain;

import java.util.ArrayList;
import TodoListApp.Domain.*;
import TodoListApp.Domain.KlassenException.*;

public class TaskList {
	
	private ArrayList<Task> alleTasks;
	public TaskList() {

		this.alleTasks = new ArrayList<>();
	}
	
	public boolean addTaskZuList(String title, String beschreibung, String eingabeTaskprioritaet) {
			Prioritaet taskPrioritaet = null;
			switch (eingabeTaskprioritaet) {
			case "niedrig":
				taskPrioritaet = taskPrioritaet.Niedrig;
				break;

			case "mittel":
				taskPrioritaet = taskPrioritaet.Mittel;
				break;

			case "hoch":
				taskPrioritaet = taskPrioritaet.Hoch;
				break;
			default:
				taskPrioritaet = taskPrioritaet.Niedrig;
			}
	
			alleTasks.add(new Task(title,beschreibung,taskPrioritaet));
			return true;
		}
	
	
	public boolean removeTask(Task task) {
		
		for (Task t : alleTasks) {
			if (t.getTitle().equalsIgnoreCase(task.getTitle())) {
				alleTasks.remove(task);
				return true;
			}
		}
		return false;
	}
	
	public String findeTaskByTitle(String title) throws TaskNichtGefundenException {
		
		for (Task t : alleTasks) {
			if (t.getTitle() == title)
				return t.toString();
		}
		throw new TaskNichtGefundenException("Task wurde nicht gefunden" );
	}
	
	public ArrayList<String> printAlleGemachteTasks() {
		ArrayList<String> alleGemachteTasks = new ArrayList<>();
		for (Task t : alleTasks) {
			if (t.isIstGemacht() == true)
				alleGemachteTasks.add(t.toString());
		}
		return alleGemachteTasks;
	}
	
	public ArrayList<String> printAllTask() {
		ArrayList<String> printallTasks = new ArrayList<>();
		int index = 1;
		for (Task t : alleTasks) {
			printallTasks.add(index++ + ".Task: " + t.toString() + ".");
		}
		return printallTasks;
	}

}
